OpenTTD

Functions
road_cmd.h File Reference

Road related functions. More...

`#include "direction_type.h"`
`#include "road_type.h"`

Go to the source code of this file.

## Functions
void | DrawRoadDepotSprite (int x, int y, DiagDirection dir, RoadType rt)
| Draw the road depot sprite. More...
void | UpdateNearestTownForRoadTiles (bool invalidate)
| Updates cached nearest town for all road tiles. More...

## Detailed Description

Road related functions.

Definition in file road_cmd.h.

## Function Documentation

## ◆ DrawRoadDepotSprite()

void DrawRoadDepotSprite | ( | int | x,
|  | int | y,
|  | DiagDirection | dir,
|  | RoadType | rt
| ) |  |

Draw the road depot sprite.

Parameters

  x | The x offset to draw at.
  y | The y offset to draw at.
  dir | The direction the depot must be facing.
  rt | The road type of the depot to draw.

Definition at line 1425 of file road_cmd.cpp.

Referenced by BuildRoadDepotWindow::DrawWidget().

## ◆ UpdateNearestTownForRoadTiles()

void UpdateNearestTownForRoadTiles | ( | bool | invalidate | ) |

Updates cached nearest town for all road tiles.

Parameters

  invalidate | are we just invalidating cached data?

Precondition
  invalidate == true implies _generating_world == true

Definition at line 1439 of file road_cmd.cpp.

Referenced by Town::PostDestructor().